Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514933 - [abrt] xonsh: _alt_mode_writer(): __amalgam__.py:15315:write:OSError: [Errno 5] Input/output error
Summary: [abrt] xonsh: _alt_mode_writer(): __amalgam__.py:15315:write:OSError: [Errno ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xonsh
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fbfc03a3d6b27f6813088f7f9db...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 14:40 UTC by azura.xiloscient
Modified: 2018-11-30 18:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:19:43 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-19 14:41 UTC, azura.xiloscient
no flags Details
File: cgroup (deleted)
2017-11-19 14:41 UTC, azura.xiloscient
no flags Details
File: cpuinfo (deleted)
2017-11-19 14:41 UTC, azura.xiloscient
no flags Details
File: environ (deleted)
2017-11-19 14:41 UTC, azura.xiloscient
no flags Details
File: mountinfo (deleted)
2017-11-19 14:41 UTC, azura.xiloscient
no flags Details
File: namespaces (deleted)
2017-11-19 14:41 UTC, azura.xiloscient
no flags Details
File: open_fds (deleted)
2017-11-19 14:41 UTC, azura.xiloscient
no flags Details

Description azura.xiloscient 2017-11-19 14:40:57 UTC
Version-Release number of selected component:
xonsh-0.5.12-2.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        xonsh '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: _alt_mode_writer
exception_type: OSError
executable:     /usr/bin/xonsh
kernel:         4.13.12-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__amalgam__.py:15315:write:OSError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/lib64/python3.6/threading.py", line 916, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12348, in run
    i = self._read_write(procout, stdout, sys.__stdout__)
  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12388, in _read_write
    self._alt_mode_switch(chunk, writer, stdbuf)
  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12419, in _alt_mode_switch
    self._alt_mode_writer(flag, membuf, stdbuf)
  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12435, in _alt_mode_writer
    stdbuf.buffer.write(chunk)
OSError: [Errno 5] Input/output error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.6/threading.py", line 884, in _bootstrap
    self._bootstrap_inner()
  File "/usr/lib64/python3.6/threading.py", line 926, in _bootstrap_inner
    (self.name, _format_exc()), file=_sys.stderr)
  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 15315, in write
    self.std.write(std_s)
OSError: [Errno 5] Input/output error

Local variables in innermost frame:
std_s: 'Exception in thread Thread-263:\nTraceback (most recent call last):\n  File "/usr/lib64/python3.6/threading.py", line 916, in _bootstrap_inner\n    self.run()\n  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12348, in run\n    i = self._read_write(procout, stdout, sys.__stdout__)\n  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12388, in _read_write\n    self._alt_mode_switch(chunk, writer, stdbuf)\n  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12419, in _alt_mode_switch\n    self._alt_mode_writer(flag, membuf, stdbuf)\n  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12435, in _alt_mode_writer\n    stdbuf.buffer.write(chunk)\nOSError: [Errno 5] Input/output error\n'
s: 'Exception in thread Thread-263:\nTraceback (most recent call last):\n  File "/usr/lib64/python3.6/threading.py", line 916, in _bootstrap_inner\n    self.run()\n  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12348, in run\n    i = self._read_write(procout, stdout, sys.__stdout__)\n  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12388, in _read_write\n    self._alt_mode_switch(chunk, writer, stdbuf)\n  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12419, in _alt_mode_switch\n    self._alt_mode_writer(flag, membuf, stdbuf)\n  File "/usr/lib/python3.6/site-packages/xonsh/__amalgam__.py", line 12435, in _alt_mode_writer\n    stdbuf.buffer.write(chunk)\nOSError: [Errno 5] Input/output error\n'
self: <xonsh.__amalgam__._TeeStd object at 0x7f072f0e7128>

Comment 1 azura.xiloscient 2017-11-19 14:41:03 UTC
Created attachment 1355178 [details]
File: backtrace

Comment 2 azura.xiloscient 2017-11-19 14:41:04 UTC
Created attachment 1355179 [details]
File: cgroup

Comment 3 azura.xiloscient 2017-11-19 14:41:06 UTC
Created attachment 1355180 [details]
File: cpuinfo

Comment 4 azura.xiloscient 2017-11-19 14:41:08 UTC
Created attachment 1355181 [details]
File: environ

Comment 5 azura.xiloscient 2017-11-19 14:41:10 UTC
Created attachment 1355182 [details]
File: mountinfo

Comment 6 azura.xiloscient 2017-11-19 14:41:11 UTC
Created attachment 1355183 [details]
File: namespaces

Comment 7 azura.xiloscient 2017-11-19 14:41:13 UTC
Created attachment 1355184 [details]
File: open_fds

Comment 8 Ben Cotton 2018-11-27 18:09:04 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 18:19:43 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.